
#ifndef _SERIAL_HEADER_
#define _SERIAL_HEADER_

typedef enum 
{ 
	BAUD_4800    =   4800 ,
	BAUD_9600    =   9600 ,
	BAUD_19200   =  19200 ,
	BAUD_38400   =  38400 ,
	BAUD_57600   =  57600 ,
	BAUD_115200  = 115200
} eBauds;

#define DEFAULT_SERIAL_NUM		0x2
#define DEFAULT_BAUDRATE		BAUD_115200

extern void SerialInit( eBauds baudrate);		//  ø ʱȭ 
extern void SerialOutChar( const char c  );    	// ø  ڸ Ѵ. 
extern int  SerialOutStr( char *str, int size );	// ø   Ѵ. 
extern void SerialOutChar_CheckCR( const char c  );    // ø  ڸ Ѵ. 
extern int  SerialOutStr_CheckCR( char *str, int size ); // ø   Ѵ. 

extern int SerialIsReadyChar( void );
extern char SerialIsGetChar( void );
extern char SerialIsClearError( void );
extern int SerialIsGetError( void );

#endif //_SERIAL_HEADER_
