#include "common.h"
#include "glib_dep.h"
#include "picture_indep.h"

u32 Icon_Search(void)
{
	u16 *temp = (u16 *)(KERNEL_RECOVERY);		//Download_Image;
	
	if(*temp == 0x4d42)	return 0;
	else				return 1;
}

void BMP_DrawGRAY(u32 x, u32 y, u8 *buffer)
{
	u32 size_x, size_y, i, j, temp, skip, temp1;
	BMP_ptr bmp;
	
//	if(!Draw_Icon) return;
	bmp = (BMP_ptr)buffer;
	size_x = (bmp->BMP_Width_Pixels1);
	size_x |= (bmp->BMP_Width_Pixels2) << 16;
	size_y = (bmp->BMP_Height_Pixels1);
	size_y |= (bmp->BMP_Height_Pixels2) <<16;
	skip = (bmp->BMP_Begin1);
	skip |= (bmp->BMP_Begin2) << 16;
	buffer += skip;
	
	// 4 Ģ  (Width)
	skip = size_x % 4;
	
	y += size_y;
	for(i=0;i<size_y;i++) {
		for(j=0;j<size_x;j++) {
		
			// GRAY ...
			temp1 = *buffer;
			temp1 += *(buffer + 1);
			temp1 += *(buffer + 2);
			temp1 = temp1 / 3;
			
			temp = (temp1) | (temp1 << 8) | (temp1 << 16);

			buffer += 3;

			GLIB_PutPixel(x + j, y - i, temp);
		}
		
		buffer += skip;
	}
}

void BMP_Draw(u32 x, u32 y, u8 *buffer)
{
	u32 size_x, size_y, i, j, temp, skip;
	BMP_ptr bmp;
	
	bmp = (BMP_ptr)buffer;
	size_x = (bmp->BMP_Width_Pixels1);
	size_x |= (bmp->BMP_Width_Pixels2) << 16;
	size_y = (bmp->BMP_Height_Pixels1);
	size_y |= (bmp->BMP_Height_Pixels2) <<16;
	skip = (bmp->BMP_Begin1);
	skip |= (bmp->BMP_Begin2) << 16;
	buffer += skip;
	
	// 4 Ģ  (Width)
	skip = size_x % 4;
	
	y += size_y;
	for(i=0;i<size_y;i++) {
		for(j=0;j<size_x;j++) {
		
			temp = ((*buffer));
			temp |= ((*(buffer + 1)) << 8);
			temp |= ((*(buffer + 2)) << 16);
			buffer += 3;
			
			// Background color remove... (to the fast)
//			if(temp == 0xffffff) continue;
			
			GLIB_PutPixel(x + j, y - i, temp);
		}
		
		buffer += skip;
	}
}
