#ifndef __COMMON_APP_H__
#define __COMMON_APP_H__
#ifdef __cplusplus
extern "C" {
#endif

#define MAP_BAR_SIZE_X			200
#define MAP_BAR_SIZE_Y			200
#define MAP_BAR_START_X			400
#define MAP_BAR_START_Y			50
#define MAIN_MENU_MAX_LENGTH	80

void Wait_Key(void);
u32 Response_Key(void);
void Draw_Main_Menu(u32 page, void* menu_tree[][3]);
void Position_Menu_Draw(void* tree[][6], void* maptree[][2], u32 option);
u32 Position_Check(u32 page, void* tree[][6], void* maptree[][2], void *menu_tree[][3], LCD_WINDOW eWin);
u32 Simple_Select_Check(void* tree[][6]);
u32 Single_Run(u32 page, u32 select, void* tree[][6]);
u32 Memory_Map_Run(u32 page, u32 select, u32 filesize, u32 option);
u32 Both_Run(u32 page, u32 select, void* tree[][6], void* maptree[][2]);
void Each_Status_Check(u32 page);
u32 Map_Check(u32 x, u32 y, void* maptree[][2]);
void MapMenu_Draw(u32 position, u32 option, void* maptree[][2]);
void Main_Menu_Box_Draw(u32 position, u32 option, void *menu_tree[][3]);
void PJBoot_Menu_Box_Draw(u32 position, u32 option);
void Draw_Title_Box(char *string);

int StrCmp(char *src, char *dst);
char *find_Kernel_Cmd(int forward);
u32 Version_Search(void);
void Kernel_Message_Copy(char *Src, char *Dst, u32 option);
void Uart_Logo_View(char *string, u32 id);

#ifdef __cplusplus
}
#endif
#endif
