/*************************************************************************************
 
	Project Name : S3C6400 Validation

	Copyright 2006 by Samsung Electronics, Inc.
	All rights reserved.

	Project Description :
		This software is only for validating functions of the S3C6400.
		Anybody can use this software without our permission.
  
--------------------------------------------------------------------------------------
 
	File Name : option.inc
  
	File Description : This file defines basic setting and configuration.

	Author	: Haksoo,Kim
	Dept. : AP Development Team
	Created Date : 2006/11/08
	Version : 0.1 
 
	History
	- Created(Haksoo,Kim 2006/11/08)
  
*************************************************************************************/

.equ DRAM_BaseAddress, 0x50000000

.equ base_of_heap,	0x53f00000	@(DRAM_BaseAddress+0x03f00000)
.equ top_of_stacks,	0x53ff8000	@(DRAM_BaseAddress+0x03ff8000)
.equ Exception_Vector,	0x53ffff00	@(DRAM_BaseAddress+0x03ffff00)

.equ ITCM0_BaseAddress,	0x80000011	@ITCM0 base : 0x80000000, Size : 8KB,
.equ ITCM1_BaseAddress,	0x80002011	@ITCM1 base : 0x80002000, Size : 8KB,
.equ DTCM0_BaseAddress,	0x80004011	@DTCM0 base : 0x80004000, Size : 8KB,
.equ DTCM1_BaseAddress,	0x80006011	@DTCM1 base : 0x80006000, Size : 8KB,
