#ifndef __UART_H__
#define __UART_H__
#ifdef __cplusplus
extern "C" {
#endif

u32 Uart_Loader(u32 DownloadAddress);
void Uart_Printf(char *fmt,...);
void UART_InitDebug(u8 ch, u32 uBaudRate);
u8 UART_Getc(void);
void UART_Putc(u8 data);
void UART_GetStr(s8 *pStr);
void UART_PutStr(char *pt);
s32 UART_GetIntNum(void);
u8 UART_GetKey(void);
u8 UART_GetStatus(void);

#ifdef __cplusplus
}
#endif
#endif
